Index: CKEditor/branches/versions/3.6.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.6.x/CHANGES.html	(revision 6811)
+++ CKEditor/branches/versions/3.6.x/CHANGES.html	(revision 6812)
@@ -40,30 +40,30 @@
 			New features:</p>
 	<ul>
-		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : The kama skin now presents separators for the toolbar items, making it easier to group buttons, having a cleaner layout.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7044">#7044</a> : New "bbcode" plugin that make editor emitting (one dialect) of BBCode format.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : Usability enhancements to the keyboard navigation on the toolbar. Not TAB is used to jump among toolbar groups, while the arrow can be used to cycle withing the group. The new <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.toolbarGroupCycling">toolbarGroupCycling</a> setting can be used to change the arrow keys behavior.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : The Kama skin now presents separators for the toolbar items, making it easier to group buttons and have a cleaner layout.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7044">#7044</a> : New BBCode plugin that makes editor output (one dialect of) BBCode format.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : Usability enhancements to the keyboard navigation on the toolbar. The <em>Tab</em> key is now used to jump between toolbar groups, while the <em>Arrow</em> keys can be used to cycle within the group. The new <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.toolbarGroupCycling">toolbarGroupCycling</a></code> setting can be used to change the Arrow keys behavior.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : Accessibility enhancements to the structure of the toolbar.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/1376">#1376</a> : It's now possible to put the editor in "read-only" state, so users are not able to make changes to the contents. Check out the new <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#setReadOnly">CKEDITOR.editor::setReadOnly method</a>, the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#readOnly">CKEDITOR.editor::readOnly property</a>, the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#event:readOnly">CKEDITOR.editor::readOnly event</a> and the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.readOnly">readOnly setting</a>.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6589">#6589</a> : Automatically use a "onDialogEvent" function in the iframeDialog contents if no callback is used on creation.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5745">#5745</a> : Allow to pass extra configuration options for iframeDialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7240">#7240</a> : Added the Developer Tools (<code>devtools</code>) plugin that shows information about dialog window UI elements to allow for easier customization.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6841">#6841</a> : Enter key at the end of pre-formatted block will exit from it.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6737">#6737</a> : The Format combo will now preview it's items exactly as defined on their relative style configurations.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6654">#6654</a> : Configuration <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.autoParagraph"></a> is added to disable the auto paragraphing feature.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/901">#901</a> : New "Stylesheet parser" plugin that fills the Styles combo based on the CSS classes available for the content, check the new sample to learn how to use it.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6850">#6850</a> : The "About" dialog window now contains link to the User's Guide.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/3582">#3582</a> : New presentation of anchor element in WYSIWYG mode.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/2988">#2988</a> : New Document Properties (<code>docprops</code>) plugin, designed to handle the document aspect of the page in full page mode.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/1376">#1376</a> : It is now possible to put the editor in the "read-only" state, so that the users would not be able to make changes to the contents. Check out the new <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#setReadOnly">CKEDITOR.editor::setReadOnly method</a></code>, the <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#readOnly">CKEDITOR.editor::readOnly property</a></code>, the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#event:readOnly"><code>CKEDITOR.editor::readOnly</code> event</a> and the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.readOnly"><code>readOnly</code> setting</a>.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6589">#6589</a> : Automatically use the <code>onDialogEvent</code> function in the <code>iframeDialog</code> contents if no callback is used on creation.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5745">#5745</a> : Allow to pass extra configuration options for the <code>iframeDialog</code>.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7240">#7240</a> : New Developer Tools (<code>devtools</code>) plugin that shows information about dialog window UI elements to allow for easier customization.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6841">#6841</a> : Pressing the <em>Enter</em> key at the end of a pre-formatted block will now exit from it.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6737">#6737</a> : The Format drop-down list will now display the preview of its contents exactly as defined in their style configurations.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6654">#6654</a> : A new <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.autoParagraph">autoParagraph</a></code> configuration setting is added to disable the auto paragraphing feature.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/901">#901</a> : New Stylesheet Parser plugin that fills the Styles drop-down list based on the CSS classes available for the content. Check the new sample to learn how to use it.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6850">#6850</a> : The "About" dialog window now contains a link to CKEditor User's Guide.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/3582">#3582</a> : New presentation of anchor elements in the WYSIWYG mode.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/2988">#2988</a> : New Document Properties (<code>docprops</code>) plugin designed to set the metadata of the page in Full Page mode.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7757">#7757</a> : Georgian localization added.</li>
 	</ul>
 	<p>
 			Fixed issues:</p>
 	<ul>
-		<li><a href="http://dev.ckeditor.com/ticket/6774">#6774</a> : Internal styles aren't included in the contents.css sample.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6774">#6774</a> : Internal styles are not included in the <code>contents.css</code> sample.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6521">#6521</a> : Added sample for the TableResize plugin.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6664">#6664</a> : Page-break sometimes is merged into block elements.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7594">#7594</a> : Toolbar keyboard navigation inefficacy after recreating editor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6664">#6664</a> : Page-break is sometimes merged into block-level elements.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7594">#7594</a> : Toolbar keyboard navigation impossible after recreating editor.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6657">#6657</a> : Allow entire dialog field (style) to be disabled.</li>
 		<li>Updated the following language files:<ul>
-			<li><a href="http://dev.ckeditor.com/ticket/7757">#7757</a> : Georgian;</li>
 			<li>Hebrew;</li>
 		</ul></li>