Index: CKEditor/branches/versions/3.6.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/af.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/af.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ar.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ar.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bg.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bg.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bn.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bn.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bs.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bs.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ca.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ca.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/cs.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/cs.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/cy.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/cy.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/da.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/da.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/de.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/de.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/el.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/el.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-au.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-au.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish',
 		charsetUN : 'Unicode (UTF-8)',
-		charsetWE : 'Westren European',
+		charsetWE : 'Western European',
 		docType : 'Document Type Heading',
 		docTypeOther : 'Other Document Type Heading',
Index: CKEditor/branches/versions/3.6.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/eo.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/eo.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/et.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/et.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/eu.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/eu.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fa.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fa.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fi.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fi.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fo.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fo.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fr.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fr.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/gl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/gl.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/gl.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/gu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/gu.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/gu.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/hi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hi.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hi.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/hr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hr.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hr.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/hu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hu.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hu.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/is.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/is.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/is.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/it.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/it.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/it.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ja.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ja.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ja.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/km.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/km.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/km.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ko.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ko.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ko.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/lt.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/lt.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/lt.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/lv.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/lv.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/lv.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/mn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/mn.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/mn.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ms.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ms.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ms.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/nb.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/nb.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/nb.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/nl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/nl.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/nl.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/no.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/no.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/no.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/pl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pl.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pl.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js	(revision 6837)
@@ -788,5 +788,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/pt.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pt.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pt.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ro.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ro.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ro.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ru.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ru.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ru.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sk.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sk.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sk.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sl.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sl.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sr.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sr.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sv.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sv.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sv.js	(revision 6837)
@@ -788,5 +788,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/th.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/th.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/th.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/tr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/tr.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/tr.js	(revision 6837)
@@ -788,5 +788,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/uk.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/uk.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/uk.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/vi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/vi.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/vi.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/zh.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/zh.js	(revision 6830)
+++ CKEditor/branches/versions/3.6.x/_source/lang/zh.js	(revision 6837)
@@ -789,5 +789,5 @@
 		charsetTR : 'Turkish', // MISSING
 		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
+		charsetWE : 'Western European', // MISSING
 		docType : 'Document Type Heading', // MISSING
 		docTypeOther : 'Other Document Type Heading', // MISSING