Index: CKEditor/branches/versions/3.6.x/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/_translationstatus.txt	(revision 6852)
+++ CKEditor/branches/versions/3.6.x/_source/lang/_translationstatus.txt	(revision 6853)
@@ -17,5 +17,5 @@
 en-gb.js   Found: 519 Missing: 52
 eo.js      Found: 247 Missing: 324
-es.js      Found: 521 Missing: 50
+es.js      Found: 571 Missing: 0
 et.js      Found: 289 Missing: 282
 eu.js      Found: 387 Missing: 184
Index: CKEditor/branches/versions/3.6.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/es.js	(revision 6852)
+++ CKEditor/branches/versions/3.6.x/_source/lang/es.js	(revision 6853)
@@ -35,5 +35,5 @@
 
 	// ARIA descriptions.
-	toolbars	: 'Editor toolbars', // MISSING
+	toolbars	: 'Barras de herramientas del editor',
 	editor		: 'Editor de texto enriquecido',
 
@@ -174,5 +174,5 @@
 		langDirLTR		: 'Izquierda a Derecha (LTR)',
 		langDirRTL		: 'Derecha a Izquierda (RTL)',
-		acccessKey		: 'Clave de Acceso',
+		acccessKey		: 'Tecla de Acceso',
 		name			: 'Nombre',
 		langCode			: 'Código idioma',
@@ -716,6 +716,6 @@
 		title		: 'Acerca de CKEditor',
 		dlgTitle	: 'Acerca de CKEditor',
-		help	: 'Check $1 for help.', // MISSING
-		userGuide : 'CKEditor User\'s Guide', // MISSING
+		help	: 'Lea la  $1 para resolver sus dudas.',
+		userGuide : 'Guía de usuario de CKEditor',
 		moreInfo	: 'Para información de licencia, por favor visite nuestro sitio web:',
 		copy		: 'Copyright &copy; $1. Todos los derechos reservados.'
@@ -750,15 +750,15 @@
 	toolbarGroups :
 	{
-		document : 'Document', // MISSING
-		clipboard : 'Clipboard/Undo', // MISSING
-		editing : 'Editing', // MISSING
-		forms : 'Forms', // MISSING
-		basicstyles : 'Basic Styles', // MISSING
-		paragraph : 'Paragraph', // MISSING
-		links : 'Links', // MISSING
-		insert : 'Insert', // MISSING
-		styles : 'Styles', // MISSING
-		colors : 'Colors', // MISSING
-		tools : 'Tools' // MISSING
+		document : 'Documento',
+		clipboard : 'Portapapeles/Deshacer',
+		editing : 'Edición',
+		forms : 'Formularios',
+		basicstyles : 'Estilos básicos',
+		paragraph : 'Párrafo',
+		links : 'Enlaces',
+		insert : 'Insertar',
+		styles : 'Estilos',
+		colors : 'Colores',
+		tools : 'Herramientas'
 	},
 
@@ -771,40 +771,40 @@
 	docprops :
 	{
-		label : 'Document Properties', // MISSING
-		title : 'Document Properties', // MISSING
-		design : 'Design', // MISSING
-		meta : 'Meta Tags', // MISSING
-		chooseColor : 'Choose', // MISSING
-		other : 'Other...', // MISSING
-		docTitle :	'Page Title', // MISSING
-		charset : 	'Character Set Encoding', // MISSING
-		charsetOther : 'Other Character Set Encoding', // MISSING
-		charsetASCII : 'ASCII', // MISSING
-		charsetCE : 'Central European', // MISSING
-		charsetCT : 'Chinese Traditional (Big5)', // MISSING
-		charsetCR : 'Cyrillic', // MISSING
-		charsetGR : 'Greek', // MISSING
-		charsetJP : 'Japanese', // MISSING
-		charsetKR : 'Korean', // MISSING
-		charsetTR : 'Turkish', // MISSING
-		charsetUN : 'Unicode (UTF-8)', // MISSING
-		charsetWE : 'Westren European', // MISSING
-		docType : 'Document Type Heading', // MISSING
-		docTypeOther : 'Other Document Type Heading', // MISSING
-		xhtmlDec : 'Include XHTML Declarations', // MISSING
-		bgColor : 'Background Color', // MISSING
-		bgImage : 'Background Image URL', // MISSING
-		bgFixed : 'Non-scrolling (Fixed) Background', // MISSING
-		txtColor : 'Text Color', // MISSING
-		margin : 'Page Margins', // MISSING
-		marginTop : 'Top', // MISSING
-		marginLeft : 'Left', // MISSING
-		marginRight : 'Right', // MISSING
-		marginBottom : 'Bottom', // MISSING
-		metaKeywords : 'Document Indexing Keywords (comma separated)', // MISSING
-		metaDescription : 'Document Description', // MISSING
-		metaAuthor : 'Author', // MISSING
-		metaCopyright : 'Copyright', // MISSING
-		previewHtml : '<p>This is some <strong>sample text</strong>. You are using <a href="javascript:void(0)">CKEditor</a>.</p>' // MISSING
+		label : 'Propiedades del documento',
+		title : 'Propiedades del documento',
+		design : 'Diseño',
+		meta : 'Meta Tags',
+		chooseColor : 'Elegir',
+		other : 'Otro...',
+		docTitle :	'Título de página',
+		charset : 	'Codificación de caracteres',
+		charsetOther : 'Otra codificación de caracteres',
+		charsetASCII : 'ASCII',
+		charsetCE : 'Centro Europeo',
+		charsetCT : 'Chino Tradicional (Big5)',
+		charsetCR : 'Ruso',
+		charsetGR : 'Griego',
+		charsetJP : 'Japonés',
+		charsetKR : 'Koreano',
+		charsetTR : 'Turco',
+		charsetUN : 'Unicode (UTF-8)',
+		charsetWE : 'Europeo occidental',
+		docType : 'Tipo de documento',
+		docTypeOther : 'Otro tipo de documento',
+		xhtmlDec : 'Incluir declaración XHTML',
+		bgColor : 'Color de fondo',
+		bgImage : 'Imagen de fondo',
+		bgFixed : 'Fondo fijo (no se desplaza)',
+		txtColor : 'Color del texto',
+		margin : 'Márgenes',
+		marginTop : 'Superior',
+		marginLeft : 'Izquierdo',
+		marginRight : 'Derecho',
+		marginBottom : 'Inferior',
+		metaKeywords : 'Palabras claves del documento separadas por coma (meta keywords)',
+		metaDescription : 'Descripción del documento',
+		metaAuthor : 'Autor',
+		metaCopyright : 'Copyright',
+		previewHtml : '<p>Este es un <strong>texto de ejemplo</strong>. Usted está usando <a href="javascript:void(0)">CKEditor</a>.</p>'
 	}
 };