Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 6941)
+++ CKEditor/trunk/CHANGES.html	(revision 6942)
@@ -41,4 +41,5 @@
 	<ul>
 		<li><a href="http://dev.ckeditor.com/ticket/6492">#6492</a> : Find/replace dialog now will be populated with editor's selected text.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : New <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.dialog.definition.uiElement.html#align">align</a> property on dialog UI element for field alignment.</li>
 	</ul>
 	<p>
@@ -63,4 +64,5 @@
 		<li><a href="http://dev.ckeditor.com/ticket/7860">#7860</a> : The BBCode plugin was stripping BBCode tags that are not implemented in the plugin, as from now they will be handled as a simple text.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/7321">#7321</a> : [IE6] Contents inside RTL fields in dialog windows were overflowing.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : [IE Quirks] Some dialog fields are not centre aligned.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.ckeditor.com/ticket/7834">#7834</a> : Dutch;</li>
Index: CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js	(revision 6941)
+++ CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js	(revision 6942)
@@ -259,4 +259,12 @@
  * Inline CSS classes to append to the UI element.
  * @name CKEDITOR.dialog.definition.uiElement.prototype.style
+ * @field
+ * @type String
+ * @example
+ */
+
+/**
+ * Horizontal alignment (in container) of the UI element.
+ * @name CKEDITOR.dialog.definition.uiElement.prototype.align
  * @field
  * @type String
Index: CKEditor/trunk/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 6941)
+++ CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 6942)
@@ -2262,4 +2262,13 @@
 				// Write the inline CSS styles.
 				var styleStr = ( elementDefinition.style || '' ).split( ';' );
+
+				// Element alignment support.
+				if ( elementDefinition.align )
+				{
+					var align = elementDefinition.align;
+					styles[ 'margin-left' ] = align == 'left' ? 0 : 'auto';
+					styles[ 'margin-right' ] = align == 'right' ? 0 : 'auto';
+				}
+
 				for ( i in styles )
 					styleStr.push( i + ':' + styles[i] );
@@ -2392,4 +2401,7 @@
 						if ( elementDefinition && elementDefinition.padding != undefined )
 							styles.push( 'padding:' + cssLength( elementDefinition.padding ) );
+						// In IE Quirks alignment has to be done on table cells. (#7324)
+						if ( CKEDITOR.env.ie && CKEDITOR.env.quirks && children[ i ].align )
+							styles.push( 'text-align:' + children[ i ].align );
 						if ( styles.length > 0 )
 							html.push( 'style="' + styles.join('; ') + '" ' );
@@ -2477,4 +2489,7 @@
 						if ( elementDefinition && elementDefinition.padding != undefined )
 							styles.push( 'padding:' + cssLength( elementDefinition.padding ) );
+						// In IE Quirks alignment has to be done on table cells. (#7324)
+						if ( CKEDITOR.env.ie && CKEDITOR.env.quirks && children[ i ].align )
+							styles.push( 'text-align:' + children[ i ].align );
 						if ( styles.length > 0 )
 							html.push( 'style="', styles.join( '; ' ), '" ' );
Index: CKEditor/trunk/_source/plugins/liststyle/dialogs/liststyle.js
===================================================================
--- CKEditor/trunk/_source/plugins/liststyle/dialogs/liststyle.js	(revision 6941)
+++ CKEditor/trunk/_source/plugins/liststyle/dialogs/liststyle.js	(revision 6942)
@@ -47,5 +47,6 @@
 								label : lang.type,
 								id : 'type',
-								style : 'width: 150px; margin: auto;',
+								align : 'center',
+								style : 'width:150px',
 								items :
 								[