Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 7018)
+++ CKEditor/trunk/CHANGES.html	(revision 7023)
@@ -41,60 +41,66 @@
 	<ul>
 		<li><a href="http://dev.ckeditor.com/ticket/4556">#4556</a> : Initial support for HTML5 elements.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6492">#6492</a> : Find/replace dialog now will be populated with editor's selected text.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : New <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.dialog.definition.uiElement.html#align">align</a> property on dialog UI element for field alignment.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6462">#6462</a> : A wider range of CSS length units (like pt and percentage) are now supported in related dialog fields.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6492">#6492</a> : The Find/Replace dialog window will now be populated with text selected in the editor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : New <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.dialog.definition.uiElement.html#align">align</a></code> property in dialog window UI elements for field alignment.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6462">#6462</a> : A wider range of CSS length units (like pt and percentage) are now supported in related dialog window fields.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/7911">#7911</a> : New Remove Anchor option is now available in the context menu.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7387">#7387</a> : Allow styleDefinitions that can be applied to a set of elements.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/4345">#4345</a> : Added the new "langLoaded" event to CKEDITOR.editor so "by code" language updates can be performed.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7959">#7959</a> : Table insertion will blink cursor in the first cell.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7387">#7387</a> : Allow <code>styleDefinition</code> to be applied to a set of elements.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/4345">#4345</a> : A new <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#event:langLoaded">langLoaded</a></code> event added to <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html">CKEDITOR.editor</a></code> in order to make it possible to perform "by code" language updates.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7959">#7959</a> : The cursor will now blink in the first cell after a table is inserted.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7885">#7885</a> : New <code>editor::removeMenuItem</code> API for removing plugin context menu items introduced.</li>
 	</ul>
 	<p>
 			Fixed issues:</p>
 	<ul>
-		<li><a href="http://dev.ckeditor.com/ticket/7914">#7914</a> : <strong>ATTENTION</strong> - The signature for the setReadOnly() function has been changed, reversing the meaning of the parameter to be passed to it. Please be sure to update your code on upgrade.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7657">#7657</a> : Wrong margin mirroring when creating list from RTL paragraphs.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7620">#7620</a> : Some glitch in list pasting from Microsoft Word.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7811">#7811</a> : [IE] Delete table row throws JS error.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6962">#6962</a> : Changed the CKEDITOR.CTRL, CKEDITOR.SHIFT and CKEDITOR.ALT constant values to avoid collision with any possible unicode character.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6263">#6263</a> : Some of the table cell's context menu options may be incorrectly disabled.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6247">#6247</a> : Focus restores properly after float panel is closed.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7173">#7173</a> : Enhancement to "autogrow" plugin makes it more accurate on editor size.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7334">#7334</a> : [IE7] Indent style doesn't apply to RTL list.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6845">#6845</a> : Spaces inside the link field in the link dialog window will now be trimmed.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7840">#7840</a> : [IE] Opening the Table Properties dialog via the context menu caused a JS error.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7733">#7733</a> : Flash movies inserted with the flash dialog window were not displaying properly when injected to the page.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7844">#7844</a> : [IE&lt;8] Inserting a page break resulted in an error.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7804">#7804</a> : The HTML5 <a href="http://www.w3.org/TR/html-markup/wbr.html"><code>wbr</code></a> tag is now recognized by the editor</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7867">#7867</a> : The file browser for the background image in the Document Properties dialog window did not work.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7130">#7130</a> : The column resizer gripping area is not anymore invading into the adjacent table cells.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7844">#7844</a> : [Firefox] Calling <code>setData()</code> on a hidden editor caused editor not to display.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7860">#7860</a> : The BBCode plugin was stripping BBCode tags that are not implemented in the plugin, as from now they will be handled as a simple text.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7321">#7321</a> : [IE6] Contents inside RTL fields in dialog windows were overflowing.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : [IE Quirks] Some dialog fields are not centre aligned.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5955">#5955</a> : Editor accessibility issue with JAWS when put rich combo as the first item in toolbar.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6671">#6671</a> : [FF] Selection of an item from the Styles drop-down list not refreshed.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7879">#7879</a> : Style and Height/Width fields of the Table Properties dialog window were not synchronized.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7581">#7581</a> : [IE] Enter key at the end of list item with "start" attribute crashes the browser.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7266">#7266</a> : Invalid dialog fields are now ARIA compatible with "aria-invalid".</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7742">#7742</a> : [WebKit] Indent doesn't apply on empty document without editor focus in prior.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7801">#7801</a> : [Opera] Pasted paragraphs now split partial selected blocks.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6663">#6663</a> : Table caption that contains rich text is not anymore corrupted after edit with table dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7192">#7192</a> : [IE] Selecting paragrpah format in an empty editor without focus didn't bring focus into editor body.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7893">#7893</a> : [Webkit, Opera] It was impossible to link to anchors in the document.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7637">#7637</a> : Cursor position problematic after inserting page break in some cases.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/188">#188</a> : [IE] Objects selection were making the toolbar inactive on some situations.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5314">#5314</a> : The aria-selected attribute was not been removed when rich combo box list items were deselected.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7749">#7749</a> : Small check introduced to avoid issues with custom data processors and the insertHtml function.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7269">#7269</a> : [WebKit] Paste from Word was including the full "file://" URL for anchor links.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7584">#7584</a> : Start number of list style dialog now works with numbered list items.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6975">#6975</a> : Definition list crashes IE6/7 on html output.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7492">#7492</a> : Overrides of Styles don't work on the same element tag.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7841">#7841</a> : Deleting a column with a deleted cell in one of the rows not working.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7944">#7944</a> : Enter key should not split or create new paragraphs inside caption elements.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7914">#7914</a> : <strong>ATTENTION!</strong> The signature for the <code><a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.editor.html#setReadOnly">setReadOnly()</a></code> function has been changed, reversing the meaning of the parameter to be passed to it. Please make sure to update your code when upgrading.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7657">#7657</a> : Wrong margin mirroring when creating a list from RTL paragraphs.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7620">#7620</a> : A glitch in list pasting from Microsoft Word caused by broken child references when filtering.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7811">#7811</a> : [IE] Deleting table row throws a JavaScript error.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6962">#6962</a> : Changed the <code>CKEDITOR.CTRL</code>, <code>CKEDITOR.SHIFT</code> and <code>CKEDITOR.ALT</code> constant values to avoid collision with any possible Unicode character.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6263">#6263</a> : Some table cell context menu options may be incorrectly disabled.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6247">#6247</a> : Focus is not restored properly after a drop-down menu is closed.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7173">#7173</a> : Enhancement to the Autogrow plugin makes it more accurate on editor changing size.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7334">#7334</a> : [IE7] Indentation style does not apply to RTL lists.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6845">#6845</a> : Spaces inside the URL field in the Link dialog window will now be removed.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7840">#7840</a> : [IE] Opening the Table Properties dialog window via the context menu causes a JavaScript error.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7733">#7733</a> : Flash movies inserted with the Flash Properties dialog window are not displaying properly when injected into the page.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7837">#7837</a> : [IE&lt;8] Inserting a page break results in an error.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7804">#7804</a> : The HTML5 <a href="http://www.w3.org/TR/html-markup/wbr.html"><code>wbr</code></a> tag is now recognized by the editor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7867">#7867</a> : The file browser for the background image in the Document Properties plugin dialog window does not work.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7130">#7130</a> : The column resizer gripping area is invading adjacent table cells.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7844">#7844</a> : [FF] Calling <code>setData()</code> on a hidden editor caused editor not to display.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7860">#7860</a> : The BBCode plugin was stripping BBCode tags that were not implemented in the plugin, but from now on they will be handled as simple text.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7321">#7321</a> : [IE6] Contents inside the RTL fields in dialog windows are overflowing.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : [IE Quirks] Some fields are not centered in the dialog window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5955">#5955</a> : Editor accessibility issue with JAWS when a drop-down menu is placed as the first item in the toolbar.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6671">#6671</a> : [FF] Selection of an item from the Styles drop-down list is not refreshed after the style is removed.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7879">#7879</a> : The Style and Height/Width fields of the Table Properties dialog window are not synchronized.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7581">#7581</a> : [IE] The <em>Enter</em> key pressed at the end of a list item containing the <code>start</code> attribute crashes the browser.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7266">#7266</a> : Dialog window fields that did not pass validation are now ARIA-compatible with <code>aria-invalid</code>.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7742">#7742</a> : [WebKit] Indentation, alignment, and language direction are not applied on an empty document without the editor being in focus.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7801">#7801</a> : [Opera] Pasted paragraphs now split partially selected blocks.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6663">#6663</a> : Table caption that contains rich text is corrupted after an edit done with the Table Properties dialog window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7192">#7192</a> : [IE] Selecting Paragraph Format in an empty editor without focus does not bring focus into the editor body.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7893">#7893</a> : [WebKit, Opera] It is impossible to link to anchors in the document.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7637">#7637</a> : Cursor position might in some cases cause problems after inserting a page break.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/188">#188</a> : [IE] Object selection is making the toolbar inactive in some situations.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5314">#5314</a> : The <code>aria-selected</code> attribute is not removed when toolbar drop-down menu items are deselected.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7749">#7749</a> : Small check introduced to avoid issues with custom data processors and the <code>insertHtml</code> function.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7269">#7269</a> : [WebKit] Paste from Word is including the full <code>file://</code> URL path for anchor links.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7584">#7584</a> : Start number of the List dialog window now works with numbered list items.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6975">#6975</a> : [IE6, IE7] A definition list crashes Internet Explorer on HTML output.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7492">#7492</a> : Styles overrides do not work on the same element tag.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7841">#7841</a> : Deleting a column with a cell deleted in one of the rows does not work.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7944">#7944</a> : The <em>Enter</em> key should not split or create new paragraphs inside caption elements.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/7639">#7639</a> : [IE9] Browser might crash when an object is selected in the document.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7847">#7847</a> : [IE8] Insert image with non-secure source in a HTTPS page breaks the dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7915">#7915</a> : [IE] Editing iframe height value missing from the Iframe dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7953">#7953</a> : [IE] Text selection lost after open native context menu.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7984">#7984</a> : The autogrow plugin breaks in quirks mode content document.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7847">#7847</a> : [IE8] Inserting an image with non-secure source in a HTTPS page breaks the dialog window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7915">#7915</a> : [IE] Editing <code>iframe</code> height value missing from the IFrame Properties dialog window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7953">#7953</a> : [IE] Text selection lost after the browser context menu is opened.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7984">#7984</a> : The Autogrow plugin breaks when the document has a Quirks mode doctype.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5239">#5239</a> : Inconsistent focus behavior after closing a toolbar drop-down menu.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6470">#6470</a> : The Start attribute of a Numbered List is rendered incorrectly if the field is left empty.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7324">#7324</a> : [IE6 Quirks] Context menus are not displayed correctly.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7566">#7566</a> : BiDi: Increasing indentation of a list item changes the language direction.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7839">#7839</a> : [IE] Pasting multi-level numbered lists from Microsoft Word does not work properly.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.ckeditor.com/ticket/7834">#7834</a> : Dutch;</li>