Index: CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js	(revision 6942)
+++ CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js	(revision 7029)
@@ -501,4 +501,101 @@
  */
 
+// ----- labeled element ------
+
+/**
+ * The definition of labeled user interface element (textarea, textInput etc).
+ * <div class="notapi">This class is not really part of the API. It just illustrates the properties
+ * that developers can use to define and create dialog UI elements.</div>
+ * @name CKEDITOR.dialog.definition.labeledElement
+ * @extends CKEDITOR.dialog.definition.uiElement
+ * @constructor
+ * @see CKEDITOR.ui.dialog.labeledElement
+ * @example
+ * // There is no constructor for this class, the user just has to define an
+ * // object with the appropriate properties.
+ */
+
+/**
+ * The label of the UI element.
+ * @name CKEDITOR.dialog.definition.labeledElement.prototype.label
+ * @type String
+ * @field
+ * @example
+ * {
+ * 		type : 'text',
+ * 		label : 'My Label '
+ * }
+ */
+
+/**
+ * (Optional) Specify the layout of the label. Set to 'horizontal' for horizontal layout.
+ * The default layout is vertical.
+ * @name CKEDITOR.dialog.definition.labeledElement.prototype.labelLayout
+ * @type String
+ * @field
+ * @example
+ * {
+ * 		type : 'text',
+ * 		label : 'My Label ',
+ * 	<strong>	labelLayout : 'horizontal',</strong>
+ * }
+ */
+
+/**
+ * (Optional) Applies only to horizontal layouts: a two elements array of lengths to specify the widths of the
+* 	label and the content element. See also {@link CKEDITOR.dialog.definition.labeledElement#labelLayout}.
+ * @name CKEDITOR.dialog.definition.labeledElement.prototype.widths
+ * @type Array
+ * @field
+ * @example
+ * {
+ * 		type : 'text',
+ * 		label : 'My Label ',
+ * 		labelLayout : 'horizontal',
+ * 	<strong>	widths : [100, 200],</strong>
+ * }
+ */
+
+/**
+ *  Specify the inline style of the uiElement label.
+ * @name CKEDITOR.dialog.definition.labeledElement.prototype.labelStyle
+ * @type String
+ * @field
+ * @example
+ * {
+ * 		type : 'text',
+ * 		label : 'My Label ',
+ * 	<strong>	labelStyle : 'color: red',</strong>
+ * }
+ */
+
+
+/**
+ *  Specify the inline style of the input element.
+ * @name CKEDITOR.dialog.definition.labeledElement.prototype.inputStyle
+ * @type String
+ * @field
+ * @example
+ * {
+ * 		type : 'text',
+ * 		label : 'My Label ',
+ * 	<strong>	inputStyle : 'text-align:center',</strong>
+ * }
+ */
+
+/**
+ *  Specify the inline style of the input element container .
+ * @name CKEDITOR.dialog.definition.labeledElement.prototype.controlStyle
+ * @type String
+ * @field
+ * @example
+ * {
+ * 		type : 'text',
+ * 		label : 'My Label ',
+ * 	<strong>	controlStyle : 'width:3em',</strong>
+ * }
+ */
+
+
 // ----- button ------
 
@@ -614,5 +711,5 @@
  * For a complete example of dialog definition, please check {@link CKEDITOR.dialog.add}.
  * @name CKEDITOR.dialog.definition.file
- * @extends CKEDITOR.dialog.definition.uiElement
+ * @extends CKEDITOR.dialog.definition.labeledElement
  * @constructor
  * @example
@@ -645,12 +742,4 @@
  * @field
  * @type Function
- * @example
- */
-
-/**
- * The label of the UI element.
- * @name CKEDITOR.dialog.definition.file.prototype.label
- * @type String
- * @field
  * @example
  */
@@ -829,5 +918,5 @@
  * For a complete example of dialog definition, please check {@link CKEDITOR.dialog.add}.
  * @name CKEDITOR.dialog.definition.radio
- * @extends CKEDITOR.dialog.definition.uiElement
+ * @extends CKEDITOR.dialog.definition.labeledElement
  * @constructor
  * @example
@@ -874,12 +963,4 @@
  */
 
-/**
- * The label of the UI element.
- * @name CKEDITOR.dialog.definition.radio.prototype.label
- * @type String
- * @field
- * @example
- */
-
 // ----- selectElement ------
 
@@ -893,5 +974,5 @@
  * For a complete example of dialog definition, please check {@link CKEDITOR.dialog.add}.
  * @name CKEDITOR.dialog.definition.select
- * @extends CKEDITOR.dialog.definition.uiElement
+ * @extends CKEDITOR.dialog.definition.labeledElement
  * @constructor
  * @example
@@ -954,12 +1035,4 @@
  */
 
-/**
- * The label of the UI element.
- * @name CKEDITOR.dialog.definition.select.prototype.label
- * @type String
- * @field
- * @example
- */
-
 // ----- textInput -----
 
@@ -973,5 +1046,5 @@
  * For a complete example of dialog definition, please check {@link CKEDITOR.dialog.add}.
  * @name CKEDITOR.dialog.definition.textInput
- * @extends CKEDITOR.dialog.definition.uiElement
+ * @extends CKEDITOR.dialog.definition.labeledElement
  * @constructor
  * @example
@@ -1026,12 +1099,4 @@
  */
 
-/**
- * The label of the UI element.
- * @name CKEDITOR.dialog.definition.textInput.prototype.label
- * @type String
- * @field
- * @example
- */
-
 // ----- textarea ------
 
@@ -1045,5 +1110,5 @@
  * For a complete example of dialog definition, please check {@link CKEDITOR.dialog.add}.
  * @name CKEDITOR.dialog.definition.textarea
- * @extends CKEDITOR.dialog.definition.uiElement
+ * @extends CKEDITOR.dialog.definition.labeledElement
  * @constructor
  * @example
@@ -1098,10 +1163,2 @@
  * @example
  */
-
-/**
- * The label of the UI element.
- * @name CKEDITOR.dialog.definition.textarea.prototype.label
- * @type String
- * @field
- * @example
- */